Recipe macronutrients analysis

Analyzes the ingredients of a recipe and returns macronutrient values per 100g of total recipe. Ingredient names are automatically translated to Italian if a different language is specified via the Accept-Language header.

POST
/recipes-macronutrients
RecipesMacronutrients

Request

application/json
object

Request containing the recipe ingredients to analyze

RecipesMacronutrientsRequest

Request for macronutrient analysis of a recipe's ingredients

object

ingredients

object[]

RecipesMacronutrientsIngredientInput

A single ingredient to be analyzed for macronutrients

object

name

Ingredient name in the language specified by Accept-Language header

string

quantity?

Quantity of the ingredient

value<double> | null

measureUnitId?

Measure unit identifier; resolvable via GET /definitions/measure-units

value<int32> | null

isIngredient?

True if this entry is an actual ingredient; false for tools or non-food items. Only ingredients are analyzed

boolean